<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>JavaScript - Reactive DOM with Fetch</title>
</head>
<body>
	
	<h1>Add Post</h1>

<form id="form-add-post">
			<span>Title</span>
			<input type="type" id="txt-title"/><br>
			<span>Body</span><br>
			<textarea type="text" id="txt-body"></textarea><br>
			<button type="submit">Create</button>
	</form>
<hr>
	<h1>Edit Post</h1>
	<form id="form-edit-post">
		<input type="text" id="txt-edit-id" hidden><br>
		<span>Title</span><br>
		<input type="text" id="txt-edit-title"><br>
		<span>Body</span><br>
		<textarea type="text" id="txt-edit-body"></textarea><br>
		<button type="submit" id="btn-submit-update" disabled>Update</button>
	</form>
	<hr>
	<h1>Posts</h1>
	<div id="div-post-entries"></div>

	<!-- 
	<div id="post-${post.id}">
					<h3 id="post-title-${post.id}">${post.title}</h3>
					<p id="post-body-${post.id}">${post.body}</p>
					<button onclick="editPost('${post.id}')">Edit</button>
					<button onclick="deletePost('${post.id}')">Delete</button>
				</div>

					<div id="post-${post.id}">
					<h3 id="post-title-${post.id}">${post.title}</h3>
					<p id="post-body-${post.id}">${post.body}</p>
					<button onclick="editPost('${post.id}')">Edit</button>
					<button onclick="deletePost('${post.id}')">Delete</button>
				</div>
					<div id="post-${post.id}">
					<h3 id="post-title-${post.id}">${post.title}</h3>
					<p id="post-body-${post.id}">${post.body}</p>
					<button onclick="editPost('${post.id}')">Edit</button>
					<button onclick="deletePost('${post.id}')">Delete</button>
				</div>


	 -->


<!-- JSfile -->
<script type="text/javascript" src="./index.js"></script>
</body>
</html>